... the user friendly GPS tool


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
RC 2.1 unter Ubuntu 10.10: keine Wegpunkte in Karte
#51
(06.04.2011, 09:51)routeconverter Wrote: Inzwischen gibt es ein Eclipse SWT 3.6.2 Release. Ich werde mal eine Vorabversion damit bauen und melde mich, wenn die zum Testen bereitsteht. Ok?

Ich habe gerade -völlig ungetestet - eine Vorabversion hochgeladen, die unter Linux Eclipse SWT 3.6.2 benutzt. Falls Du Zeit zum Testen findest.
--
Christian
Reply
#52
(06.04.2011, 10:18)routeconverter Wrote: Ich habe gerade -völlig ungetestet - eine Vorabversion hochgeladen, die unter Linux Eclipse SWT 3.6.2 benutzt. Falls Du Zeit zum Testen findest.

Klasse! und Danke!
Ich werde heute Abend gleich testen und melde mich dann wieder.

Gruß, Rainer

Reply
#53
Guten Abend Christian,

gerade habe ich die 2.4-143 getestet:
Leider unter meinem 64bit kubuntu (log im Anhang), libwebkit-1.0-2 Version 1.2.5-0
und xulrunner Version 1.9.2.16 alles unverändert - kein Track in der Karte.

Zusätzlich habe ich noch auf meinem uralt Notebook (frisch mit 32bit xubuntu installiert) und ebenfalls mit libwebkit-1.0-2 Version 1.2.5-0 und xulrunner Version 1.9.2.16, Deine 32bit LinuxVorabVersion (auch 2.4-143) getestet, aber auch dort werden keine Tracks und Wegpunkte angezeigt. Sonst das gleiche Verhalten wie in der 64bit Variante - Programm läuft und Karte wird angezeigt. (log auch im Anhang)

Die freigegebene 2.3.1 Linux32bit-Version läuft auf meinem xubuntu10.10 32bit richtig und ohne (erkennbaren) Fehler (log im Anhang)
Die 2.3.1 Linux64bit-Version stürzt wie erwartet unter meinem kubuntu 64bit wieder ab. (Fehlerlog und log im Anhang)

Ich hoffe es hilft.

Gruß
Rainer


Attached Files
.txt   RC_24_143_log_kubuntu1010_64.txt (Size: 16.45 KB / Downloads: 796)
.txt   RC_24_143_log_xubuntu1010_32.txt (Size: 24.51 KB / Downloads: 812)
.txt   RC_231_log_xubuntu1010_32.txt (Size: 20.83 KB / Downloads: 780)
.txt   hs_err_pid3175.txt (Size: 69.95 KB / Downloads: 839)
.txt   RC_231_log_kubuntu1010_64.txt (Size: 2.99 KB / Downloads: 809)
Reply
#54
(06.04.2011, 19:51)wanderer Wrote: Ich hoffe es hilft.

Hallo Rainer,

vielen Dank für das ausführliche Testen.

Fasse ich das richtig zusammen mit: das Eclipse SWT 3.6.2-Update hat bei den 64-bit VMs nichts gebracht und bei der 32-bit Version war die 2.3.1er Version ohne Fehler, führte jedoch bei 64-bit zu Abstürzen?
--
Christian
Reply
#55
Ich habe hier nochmal mit Ubuntu 10.04 in der 32-bit Version getestet: sowohl die 2.3.1 als auch 2.4-SNAPSHOT-13 mit Eclipse SWT 3.6 und 2.4-SNAPSHOT-143 vom 6.4. mit Eclipse SWT 3.6.2 funktionieren.

Ich schließe daraus, das irgendwo zwischen Ubuntu 10.04 und 10.10 Änderungen gemacht wurden, die einen Effekt haben auf die Art, wie ich in RouteConverter die Karte über DJNative Swing und Eclipse SWT ansteuere.

Ein 10.10 kann ich hier installieren und testen, doch wer kann helfen, das Problem unter den 64-bit Varianten zu debuggen?
--
Christian
Reply
#56
(07.04.2011, 09:25)routeconverter Wrote: Ein 10.10 kann ich hier installieren und testen, doch wer kann helfen, das Problem unter den 64-bit Varianten zu debuggen?

Ich habe hier nochmal mit Ubuntu 10.10 in der 32-bit Version getestet: die 2.3.1 funktioniert, die 2.4-SNAPSHOT-13 und 2.4-SNAPSHOT-143 nicht.

Darauf habe ich gerade eine neue Vorabversion 2.4-SNAPSHOT-146 hochgeladen, die bei meinem 32-bit Ubuntu 10.10 funktioniert. Bitte testet mal, wie das bei Euch aussieht und berichtet!
--
Christian
Reply
#57
(09.04.2011, 14:34)routeconverter Wrote: Darauf habe ich gerade eine neue Vorabversion 2.4-SNAPSHOT-146 hochgeladen, die bei meinem 32-bit Ubuntu 10.10 funktioniert. Bitte testet mal, wie das bei Euch aussieht und berichtet!
Ich habe gerade versucht mit der 2.4-snapshot-156 auf 32bits Ubuntu 10.10. Es functiert gut. Ich habe kein 64bit Ubuntu.
Reply
#58
Ich habe inzwischen einen Bericht, daß die 2.4-SNAPSHOT-156 unter Ubuntu 10.10 64-bit läuft.
--
Christian
Reply
#59
(19.04.2011, 06:51)routeconverter Wrote: Ich habe inzwischen einen Bericht, daß die 2.4-SNAPSHOT-156 unter Ubuntu 10.10 64-bit läuft.

Durch die Änderungen zwischen 2.4-SNAPSHOT-154 und -156 läuft die Karte nun unter Ubuntu 10.10 64-bit, jedoch nicht mehr unter openSUSE 11.4 64 Bit.

Bitte testet die aktuelle Vorabversion auf 64-bit Linuxen, dort habe ich versucht, allen größeren Linux-Distributionen gerecht zu werden.
--
Christian
Reply
#60
Hallo,

ich habe ein Linux64-System.
Leider kann ich derzeit nicht so richtig testen, da durch irgendein Update alle RC-Versionen nicht 100%tig laufen.

Für dieses Fehlverhalten mach ich ein separates Thema auf...


Axel
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)